Jump to content

Search the Community

Showing results for tags 'linetype'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 47 results

  1. Hi Friends, i have created a new linetype with the text 144F on it, it looks fine in Model view & layout, but while plotting that file into pdf, the text inside that linetype getting blurred & not appearing properly, could someone help me to resolve this issue.symbol & line types.lin i have attached the required screenshots. Note: i have created the line type using the TEXT, i m attaching the line type here. sample1.dwg
  2. I found a lisp (attached) to change object line type. But this lisp is not changing nested blocks line types and forcing one by one selection . I need to change linetype of all objects include nested blocks and as area selection. Please help ChangeObjLinetype.lsp
  3. I have this line, but I want to change it to a hidden linetype (entmakex (list '(0 . "line") (cons 10 p1) (cons 11 p5) '(62 . 2) )) So, I write like this.... but doesnt work. (entmakex (list '(0 . "line") (cons 10 p1) (cons 11 p5) '(62 . 2) '(6 . HIDDEN))) What can I do? Thanks!
  4. Hello again everyone, Sorry to take advantage of all the talented members here by asking another question so soon but this one's been bugging me for a while. My firm works exclusively in model space and without any sort of annotation related scaling etc. On floor plans we use one of the standard ACAD dashed lines to show the lintels over the windows. We have a linetype and layer (LintelNew) set up to do this. This linetype basically displays as a long dash, gap, short dash, gap, long dash. So there's three segments per line. Looks sort of like this: (-------- ---- --------). My issue is that in order to get the dashed line style to look like that, with only three segments showing, I need to change the linetype scale via the properties panel as each lintel is a different length (for different window sizes). For example, to get that line to show as desired on a short lintel, its linetype scale might need to be .3, where a larger lintel will require .9. I cannot make any sorts of global changes as it is only these specific lines that need tweaking; they're the only lines where we ever change the scale. Selecting them one by one and doing it in the properties is a major pain and involves a lot of guessing and checking. I am wondering if anyone might know of a way where the line length and linetype scale could be related..? For example, the linetype scale is connected to or driven by the length of the line? To put it another way, the scale becomes a percentage of the line length. As I am typing this I'm also realising that I would only ever want this to happen when drawing lintels and on that specific 'lintel' layer. I dont want that scaling effect in action for every line I draw. Not sure if this is even possible so please ignore if I'm asking the impossible here. Thanks for reading everyone. Brad
  5. Good morning all, I am trying to create a linetype that uses a polyline/block to create a series of thicker arrows. I have written: *DIVERSION,DIVERSION DRAIN -----> -----> A,.982117,-.256835,[DIVERSION,DIVERSION.SHX,X=0,S=.25].977201 But it does not seem to work just comes out as a series of dashes. I have attached a few things that may help. Cheers Allison DIVERSION.lin DIVERSION.shp DIVERSION.shx
  6. This solution work form me, but maybe I'm missing something? (vlax-for #item (vla-get-LineTypes (vla-get-ActiveDocument (vlax-get-acad-object))) (if (and (not (wcmatch (strcase (vla-get-name #item)) "BYBLOCK,BYLAYER")) (= (logand (cdr (assoc 70 (entget (vlax-vla-object->ename #item)))) 16) 0) ) (setq line_types_in_drawing (cons (strcase (vla-get-name #item)) line_types_in_drawing)) ) )
  7. Hey everyone, Our office is publishing large PDFs for submittals from DSD files and we are hitting a snag where one custom linetype I wrote 5 years ago that referenced a shp file is working 50/50. Half of our DSDs are publishing 100%, then the latter half are not loading the linetype. Also, if I have the CAD file open that this linetype is used in, the linetype is not loading anymore after the publish from the latter half of DSD. If I just publish a couple pages from the file itself, it is publishing 100%. So is there possibly some setting in one of the other files of the DSD that is throwing off the reference path to the shp? Any suggestions? Thanks for any help. Below are the codes of the lin and shp. lin: rail.lin *RUNNING_RAIL,Running Rail A,0,-.013889,[RAIL,Z:\CAD\Reference Files\rail,s=10],-.013889 shp: rail.shp *1,80,RAIL 4,125,4,80,3,79,3,7,3,105,3,128,002,9,(-1,-64),(0,0),001,9,(2,0),(0,0),002,9,(-2,6),(0,0),001,9,(2,0),(0,0),002,9,(-2,122) (0,0),001,9,(2,0),(0,0),002,9,(-2,-6),(0,0),001,9,(2,0),(0,0),002,9,(-1,-58),(0,0),001,4,128,4,105,4,7,4,79,3,80,3,125,0
  8. Where would (if there is a way) I change the default setting for linetype generation? Whenever I draw a polyline the setting is set to disabled. I would like for it to be enabled instead. Any help is always appreciated. Regards, Miller
  9. Hello all, real newbie here.. My first question is: AutoCad 2016 (student ver.) is there a possible way of selecting one line (property RED) and then have a command that could select all the lines in model space that have the color RED?? Could it be done with using any of: linetype/lineweight/line color ***IF WHILE IN MODEL SPACE EVERYTHING IS ONLY "LAYER 0"***....meaning I didnt use the layer properties what if the RED lines are a block? Can I SELECT one block and then USING a SELECTION TOOL it could select all the blocks?? NOW 18:53- I WILL BE HERE UNTIL TOMORROW NO LATER THEN 09:00 PLEASE HELP ME
  10. So i was drawing plans and decided to use the batting linetype for the insulation. i decided to stop for the day, saved the whole thing, then opened it the other day. When i opened it the batting was still there (all in the correct linetype scale) but after working in the file for a while the batting was gone and replaced by a regular line. I tried the MSLTSCALE, LTSCALE and all those other commands but it doenst change the line into batting... I'm working on a 2014 Autocad student version. Anyone who knows what to do?
  11. Hi All, i'm trying to make a new linetype with text, but i want the text to have a field that displays the length of the line. Does anyone know how to do this? Or if it's possible? Any help would be much appreciated!
  12. We have a couple custom linetypes that need to be loaded every time (only some workstations) open CAD. I have made sure the supported path in options is pointing to the correct location but it still doesn't retain the information once the program is closed and reopened. It is only a problem on some workstations. I have googled and tried everything I can think of. Does anyone have any thoughts?
  13. I attached the plan I am having trouble with. It is named first_plan.dwg. I created some lines with the arc tool and joined them to represent the electrical wiring in the layer called electrical wiring. I changed the linetype to a dotted and dashed style but it won't display in the model space and layout 1. Nor will it display when I hit print preview. Can someone point out to me what I am doing wrong? I am new to AutoCAD and this is my first plan. I am using AutoCAD 2015 for Mac. first_plan.dwg
  14. I attached the plan I am having trouble with. It is named first_plan.dwg. I created some lines with the arc tool and joined them to represent the electrical wiring in the layer called electrical wiring. I changed the linetype to a dotted and dashed style but it won't display in the model space and layout 1. Nor will it display when I hit print preview. Can someone point out to me what I am doing wrong? I am new to AutoCAD and this is my first plan. I am using AutoCAD 2015 for Mac. first_plan.dwg
  15. I created a linetype using a shp, however it is only showing up on my computer and not on anyone elses. Right now the .lin, .shp and .shx are all in a folder on a server where they can be accessed by anyone. Is this something that I will need to make sure is actually on everyone's hard drive and not just the server? Everyone else gets a "Bad Definition" error.
  16. My current college CAD Instructor is very loose about following a standard regarding Line weights, colors and hierarchy standards for Architecture. And that frustrates me because I want to produce drawings in class that match common industry standards. Can any of you provide a visual guide (chart) for your commonly used standards?
  17. Hi Guys, I'm creating a layer setting pull down menu, in order to migrate my cad to revit I would like to define the linewight. So far I managed to create a command with a dashed line: (defun c:layA-SEC-LIH-005() (command "layer" "m" "A-SEC-LIH-005""C" "magenta" "" "l""DASHED2" "" "") and another one with the lineweight (defun c:layA-SEC-LIH-005() (command "layer" "m" "A-SEC-LIH-005""C" "magenta" "" "_LW" 0.10"" "") but I haven't been able to create one that combines the 2 of them.. any help? Cheers Roberto
  18. I've had a problem with linetype scales for some time now and I can't seem to work it out, so I'm finally getting around to asking on here.... When I draw say a dashed line in the model space it sometimes looks broken exactly how I would expect it to look. Yet when I then set the drawing up in a viewport within the paper space it looks like a continuous line. It also plots as a continuous line. The only way I have found of working around this is to change the linetype scale of the line in question (usually to around 0.012) this then usually gets the line to display dashed as expected on the paper space. It is very trial and error though with different lines requiring different scales? I wondered if there is a setting so that they display in the model space exactly as they would display in the paper space or vice versa? Thanks for the help. Rob
  19. So... "suddenly" my trusty 'fence' linetype ( -x-x-x-x- ) no longer displays the 'x' at the correct size ( -.-.-.-.- ). It's TINY. It's not a regular linetype scale issue as I have older untouched drawings that no longer display correctly. Also, the 'gap' where the "x" should be is showing scaled correctly, but not the tiny 'x' within. I tried re-importing the linetype from a number of local files and get the same result. Other linetypes still display correctly. It won't even appear right in the manager. Help please? . (all lines in pic same type at different scales) . P.S. Other computers on the same network are displaying the same issue. Files are on a central server.
  20. Hi, I have been using a jojo shrub linetype which looks a bit like this ----V--V-V---V----V-- but comes out as a single jagged line. All of a sudden the line looks more like this (losing the V shape): ---- -- - --- ---- -- When I try to load the linetype it gives me the "Bad Definition of Fenceline1' error message, meaning all linetypes that use the .shp file are stuffed. This has only occurred while working on the file, which has been fine until now. Can someone please tell me how this happens? Something more useful than 'it could be your .shx or .shp file...' Thanks heaps. Aaron
  21. My batting linetype was showing up perfectly until I opened my drawing file today. Now it shows up as a dotted line. I tried MSLTSCALE, PSLTSCALE, LTSCALE, etc. I tried changing the scales manually. When I go to "load" it again it says "Bad definition of FENCELINE1 at line 119 of file / Users/***********/Library/Application Support/Autodesk/roaming/AutoCad 2013/R19.0/enu/support/acad.lin" I can't even access as far as "Library" via Finder. How do I reload ACAD.LIN altogether or make it work?
  22. Hi All, Generally for drawing cable, I use a p-line (generally curve or spline fit) and change my global width to the diameter of that cable. This is usually exactly what I need to show. HOWEVER, when a complicated drawing arises with several different types of cable in one particular area, I have to differentiate the cables by altering their appearance for ease of tracing that wire in a black and white printout. Before, I would offset the polyline to either side, close in the ends and fill with a hatch. This works ok, but is time consuming and the hatch doesn't rotate relative to the line. I tried to be clever with the express tools linetype creator, but autocad won out. See Pic for my attempt. It looks ok zoomed out (except for the dots in the center of the line, which need to go). However, when zoomed in, the curve is actually an assembly of straight segments that overlap on the inside and don't meet up on the outside of the curve. Can someone point me in the right direction for instructions, tips, pointers for creating "bending" linetypes? I've already accepted that I'm probably going to have to somewhat learn lisp... hit me with it. Thanks! Kyle
  23. Hey guys its my first thread out here so i hope i will find help..Well i 've currently create several layers and after i change in one of 'em the linetype from continuous to a "Dashed" , every new layer i made had a "dashed" linetype and when i tried to change it back to default , it didnt.. Help!
  24. Hi, I want to create a custom linetype for a drawing but am unsure of the best method to use. I only need this linetype for 1 drawing and so I would like it embedded in that drawing if possible. Other people may need access to this file so sending a custom file is out of the question. Should I create a new .lin file or edit the default acad.lin? I started to create one using Express Tools and when it prompted me to create / save a new .lin file it defaulted to the 'C:\Program Files\Autodesk\AutoCAD 2012 - English' folder. I was unsure if to save it here or 'C:\Program Files\Autodesk\AutoCAD 2012 - English\UserDataCache\Support', where ACAD's .lin is stored. Any idea's / help?
  25. From what i am reading, it takes some work to access a layers linetype name (LineTypeTableRecord.name). Is there another way around this? Is there a way to access the linetype name from within the layer in question?
×
×
  • Create New...